curl https://businessapi-staging-civ.djigui.io/api/v1.0/quote/6c1d8f0e-3b7a-4f5e-9a51-2d0c7e8b4a12 \
-H "x-api-key: $DJIGUI_API_KEY"
{
"id": "6c1d8f0e-3b7a-4f5e-9a51-2d0c7e8b4a12",
"status": "awaiting_payment",
"contractId": null,
"amount": 98450,
"duration": 12,
"usage": "pleasure",
"startDate": "2026-11-01",
"policyHolderName": "Kouamé Yao Serge",
"policyHolderPhone": "+2250757468458",
"coverageId": "20000000-0000-4000-8000-000000000001",
"coverage": { "id": "20000000-0000-4000-8000-000000000001", "name": "Tiers simple", "description": "Responsabilité civile", "order": 1, "properties": [] },
"vehicle": { "id": "0f9b2abd-2fe8-4346-b49e-4a6aefd89a89", "licencePlate": "1234AB01", "...": "..." },
"created": "2026-10-20T09:16:41.007Z",
"expires": "2026-10-21T09:16:41.007Z"
}
{
"code": "quote_expired",
"message": "This quote expired without being paid. Create a new quote."
}
Quotes
Get a quote
One of your quotes, with its status.
GET
/
quote
/
{id}
curl https://businessapi-staging-civ.djigui.io/api/v1.0/quote/6c1d8f0e-3b7a-4f5e-9a51-2d0c7e8b4a12 \
-H "x-api-key: $DJIGUI_API_KEY"
{
"id": "6c1d8f0e-3b7a-4f5e-9a51-2d0c7e8b4a12",
"status": "awaiting_payment",
"contractId": null,
"amount": 98450,
"duration": 12,
"usage": "pleasure",
"startDate": "2026-11-01",
"policyHolderName": "Kouamé Yao Serge",
"policyHolderPhone": "+2250757468458",
"coverageId": "20000000-0000-4000-8000-000000000001",
"coverage": { "id": "20000000-0000-4000-8000-000000000001", "name": "Tiers simple", "description": "Responsabilité civile", "order": 1, "properties": [] },
"vehicle": { "id": "0f9b2abd-2fe8-4346-b49e-4a6aefd89a89", "licencePlate": "1234AB01", "...": "..." },
"created": "2026-10-20T09:16:41.007Z",
"expires": "2026-10-21T09:16:41.007Z"
}
{
"code": "quote_expired",
"message": "This quote expired without being paid. Create a new quote."
}
Returns one of your quotes, with the same fields as Create a quote. Once the quote expires, this answers
410 quote_expired. See Quotes.
Response
The quote, with the fields of Create a quote.Errors
| Status | code | |
|---|---|---|
| 404 | quote_not_found | No quote with this id in your company. |
| 410 | quote_expired | The quote was not paid within 24 hours. |
curl https://businessapi-staging-civ.djigui.io/api/v1.0/quote/6c1d8f0e-3b7a-4f5e-9a51-2d0c7e8b4a12 \
-H "x-api-key: $DJIGUI_API_KEY"
{
"id": "6c1d8f0e-3b7a-4f5e-9a51-2d0c7e8b4a12",
"status": "awaiting_payment",
"contractId": null,
"amount": 98450,
"duration": 12,
"usage": "pleasure",
"startDate": "2026-11-01",
"policyHolderName": "Kouamé Yao Serge",
"policyHolderPhone": "+2250757468458",
"coverageId": "20000000-0000-4000-8000-000000000001",
"coverage": { "id": "20000000-0000-4000-8000-000000000001", "name": "Tiers simple", "description": "Responsabilité civile", "order": 1, "properties": [] },
"vehicle": { "id": "0f9b2abd-2fe8-4346-b49e-4a6aefd89a89", "licencePlate": "1234AB01", "...": "..." },
"created": "2026-10-20T09:16:41.007Z",
"expires": "2026-10-21T09:16:41.007Z"
}
{
"code": "quote_expired",
"message": "This quote expired without being paid. Create a new quote."
}